Player = {x = 0, y = 0}

function Player:Create(image, x, y)
	o = {}
	setmetatable(o, self)
	self.__index = self

	self.playerStateMachine = StateMachine:Create({
		['walkstate'] = PlayerWalkState,
		['jumpstate'] = PlayerJumpState,
		['idlestate'] = PlayerIdleState
	})
	self.playerStateMachine:change('walkstate')
	self.image = love.graphics.newImage(image)
	self.blockRight = false
	self.blockLeft = false
	self.blockUp = false
	self.blockDown = false
	self.x = x
	self.y = y
	self.dX = PLAYERSPEED
	self.dY = GRAVITY
	self.width = self.image:getWidth()
	self.height = self.image:getHeight()
	return o
end
function Player:update(dt)
	if self.y > love.graphics.getHeight() - self.image:getHeight() then
		self.y = love.graphics.getHeight() - self.image:getHeight()
	end--not in a state because it should be in all states that this happens
	--if self.x <= 500 then --makes it so you cant go past beginning of level
		--self.x = 500
	--end
							
	self.playerStateMachine:update(dt)
	--self.y = self.y + self.dY * dt--this should go into the falling state
end

function Player:draw()
	--self.playerStateMachine:render()
	--love.graphics.translate(-self.x + SCREEN_WIDTH/2 , 0)
	love.graphics.draw(self.image, math.floor(self.x), math.floor(self.y))

end

function Player:changestate(state)--change the state of the player
	self.playerStateMachine:change(state)
end


